%define anolis_release 1

Name:           influxdb-client-python
Version:        1.37.0
Release:        %{anolis_release}%{?dist}
Summary:        Python client library for the InfluxDB

License:        MIT
URL:            https://github.com/influxdata/influxdb-client-python
Source:         https://github.com/influxdata/influxdb-client-python/archive/refs/tags/v1.37.0.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel

%global _description\
This repository contains the Python client library for use with InfluxDB 2.x and Flux. InfluxDB 3.x users should instead use the lightweight v3 client library. InfluxDB 1.x users should use the v1 client library.

%description   %_description

%package -n influxdb-client-python3
Summary:       %{summary}

%description -n influxdb-client-python3 %_description

%prep
%autosetup

%generate_buildrequires
%pyproject_buildrequires -t


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files influxdb_client


%check
%tox


%files -n influxdb-client-python3 -f %{pyproject_files}
%doc README.rst

%changelog
* Fri Sep 15 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.37.0-1
- Init upstream from version 1.37.0
